# v4.0.11 (Fri Jun 09 2023)

#### 🐛 Bug Fix

- KSP-3263 Added cases to handle inherit token [#2588](https://github.com/knapsack-labs/app-monorepo/pull/2588) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.0.10 (Thu Jun 08 2023)

### Release Notes

#### show error message when switching to v3 branch on v4 ([#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591))

When on v4 and switching to an older branch from v3 a basic error now shows up for the user:

![CleanShot 2023-06-08 at 15 45 40](https://github.com/knapsack-labs/app-monorepo/assets/569699/98378ced-ef81-4baa-b4d0-37c291ee29d6)

---

#### 🐛 Bug Fix

- show error message when switching to v3 branch on v4 [#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.8 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3326: SCSS/LESS/CSSvars proper inline var output [#2582](https://github.com/knapsack-labs/app-monorepo/pull/2582) ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3326-tokens-to-sass-converter-outputs-incorrect-media-queries ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))

#### Authors: 1

- Christopher Bloom ([@illepic](https://github.com/illepic))

---

# v4.0.7 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- adds logic to disable editing theme unless on branch [#2585](https://github.com/knapsack-labs/app-monorepo/pull/2585) ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.0.6 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3280: token rename and grouping works [#2543](https://github.com/knapsack-labs/app-monorepo/pull/2543) ([@illepic](https://github.com/illepic) [@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.5 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3329-move-back-to-webpack-for-pre-bundling ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- re-setup webpack for App UI instead of vite KSP-3329 [#2581](https://github.com/knapsack-labs/app-monorepo/pull/2581) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.4 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3310 tokens temporarily disable cubicBezier transition token [#2561](https://github.com/knapsack-labs/app-monorepo/pull/2561) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@GormanDesign](https://github.com/GormanDesign) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3281-tokens-deleting-a-token-does-not-close-panel-and-redirects-redux ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into GormanDesign-patch-2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into GormanDesign-patch-1 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.3 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- manually bump version to 4.0.2 [#2580](https://github.com/knapsack-labs/app-monorepo/pull/2580) ([@EvanLovely](https://github.com/EvanLovely))
- manually bump version to 4.0.2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/v3' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- v3.117.0 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.1 (Wed Jun 07 2023)

#### 🐛 Bug Fix

- reset pkg versions back to 4.0.0 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Bump version to: v3.116.7 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))

#### 🏠 Internal

- v3 -> latest [#2577](https://github.com/knapsack-labs/app-monorepo/pull/2577) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))

---

# v3.116.6 (Tue Jun 06 2023)

#### 🐛 Bug Fix

- Add copy action to code snippet block KSP-3248 [#2553](https://github.com/knapsack-labs/app-monorepo/pull/2553) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.5 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- ensure slots form only shows patterns of same template language KSP-3271 [#2555](https://github.com/knapsack-labs/app-monorepo/pull/2555) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3288-add-excludefromanalytics-to-sites-table ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3288: Adds excludeFromAnalytics to sites and filters on this for daily summaries [#2535](https://github.com/knapsack-labs/app-monorepo/pull/2535) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.116.4 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Adds success toasts for template demo updates [#2545](https://github.com/knapsack-labs/app-monorepo/pull/2545) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.3 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Fixes template language id not updating in template form [#2541](https://github.com/knapsack-labs/app-monorepo/pull/2541) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Add fs-extra types to packages without it [#2551](https://github.com/knapsack-labs/app-monorepo/pull/2551) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.0 (Fri May 26 2023)

#### 🚀 Enhancement

- pull all tools pkgs back in [#2526](https://github.com/knapsack-labs/app-monorepo/pull/2526) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- formatting pkgs ([@EvanLovely](https://github.com/EvanLovely))
- aligning all package versions ([@EvanLovely](https://github.com/EvanLovely))
- pull tools pkgs back into monorepo ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.111.0 (Wed Apr 19 2023)

#### 🐛 Bug Fix

- Merge branch 'main' into feature/monorepo-tool-updates ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.109.0 (Tue Apr 18 2023)

### Release Notes

#### add auto releases ([#1](https://github.com/knapsack-labs/tools/pull/1))

Initial release of our tools on the new public monorepo!

---

#### 🚀 Enhancement

- add auto releases [#1](https://github.com/knapsack-labs/tools/pull/1) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- add pkg format ([@EvanLovely](https://github.com/EvanLovely))
- clear turbo cache ([@EvanLovely](https://github.com/EvanLovely))
- update npmignore to include .turbo ([@EvanLovely](https://github.com/EvanLovely))
- change to workspace:* version specifier ([@EvanLovely](https://github.com/EvanLovely))
- swap files array for npmignore approach ([@EvanLovely](https://github.com/EvanLovely))
- change version from workspace:* to actual ([@EvanLovely](https://github.com/EvanLovely))
- add licenses ([@EvanLovely](https://github.com/EvanLovely))

#### ⚠️ Pushed to `main`

- initial commit ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
